Overview of Keep-It

Keep-It: A new way to manage information

Using Keep-It Archives, you can organize your information better than ever before.

  • Keep-It Archives make it easy to maintain the history of your folders and files.
  • Keep-It Archives behave just like regular folders.
  • Keep-It Archives can be shared with other users; Keep-It is available to everyone.
  • Keep-It Archives allow you to browse the history of folders and files. You can open a folder or file revision directly within an Archive, just like in a regular folder.
  • Keep-It Archives can be moved to any folder on your computer or network (you can identify them by the elephant icon).


Creating an Archive

To create Archives

  1. In My Computer or Windows Explorer, open the folder in which you want to create an Archive.
  2. On the File menu, point to New, and then click Archive. The new Archive appears with the temporary name, New Archive, highlighted.
  3. Type a name for the Archive, and then press ENTER.

Notes

  • You can also create an Archive by doing the following:
    • Right-click on your desktop or folder window, point to New, and then click Archive.
    • Right-click any file or folder, point to Send To, and then click Keep-It Archive.
  • You can identify Archives by the elephant icon: (elephants, like Keep-It, never forget).


Browsing Archives

To open Archives

  • You open Archives the same way you open other folders. Double-click the Archive.

Notes

  • To view revision location and other information from within an Archive, click the View menu, and then click Details.
  • You can view specific revisions of folders and files within an Archive in the same way you view the folders and files they refer to. When viewing a file, remember you can not update a revision (although you can save it under a new name).


Deleting an Archive

To delete an Archive

  1. In My Computer or Windows Explorer, open the folder in which the Archive you wish to delete resides.
  2. Select the Archive you wish to delete.
  3. On the File menu select Delete. The Archive, and all the revisions it contains will now be deleted!.

Notes

  • You have not deleted the actual folders and files referenced by the archive; just the revisions of the objects contained.


To add folders and files to an Archive

  • Drag folders and files to an Archive to record (Snapshot) the current revision.
  • Copy-and-paste folders and files to an Archive with the same result.
  • On the File menu click New and then select Item (again with the same result).

Notes

  • Once a folder or file has been placed in an Archive, you continue to work on it in its original location. Remember, an Archive only contains revisions of folders and files.
  • The Archive now maintains a reference to the folders and files you added. Every time a new snapshot is requested, a further revision will be recorded (if any changes are detected).


Removing from an Archive

  1. In My Computer or Windows Explorer, open the latest Snapshot contained in the Archive.
  2. Select the folders and files you no longer wish to archive.
  3. On the File menu select then click Delete. Keep-It will now create a new Snapshot not containing the deleted folders and files.

Notes

  • You can only delete a references to folders and files from the latest Snapshot.
  • You can only delete a references to folders and files contained in the top level of the latest Snapshot.
  • When you remove a reference to folder and files from an archive, you are instructing Keep-It to desist from recording further revisions of those folders and files. You are not deleting the actual folders and files.


Creating a new Snapshot

  1. In My Computer or Windows Explorer, open the Archive in which you want to create a new Snapshot.
  2. On the File menu click New and then select Snapshot. Keep-It will then scan all the folders and files contained in the previous Snapshot for change. Any changes will result in a new Snapshot being created containg the new revision(s) of the changed folders and files.

Notes

  • You can also create a new Snapshot by:
    • Clicking the New Snapshot toolbar button: .
    • Adding a new or existing folder or file to the Archive. Everytime a folder or file is added, a scan for changes is made.


Renaming a Snapshot

  1. In My Computer or Windows Explorer, open the Archive in which the Snapshot you wish to rename resides.
  2. Select the Snapshot you wish to rename.
  3. On the File menu select then click Rename. The Snapshot label will now show an edit box for the new name.

Notes

  • Snapshot names do not effect the contents of the Snapshot. The name is used as a mental note of the contained state of work (e.g. "As sent to John").
  • Snapshot names always end in ;X, where X is the Snapshot number. You do not have to add this number yourself, Keep-It will always do this.


Deleting a Snapshot

  1. In My Computer or Windows Explorer, open the Archive in which the Snapshot you wish to delete resides.
  2. Select the Snapshot(s) you wish to delete.
  3. On the File menu select Delete. The Snapshot(s) and all the revisions it contains will now be deleted!.

Notes

  • Deleting a Snapshot makes any unique revision(s) it contains inaccessible in the future.


To restore a folder or file revision

  • Either drag-and-drop the required folder and files revisions directly from the containing Snapshot, or copy-and-paste for the same effect.
  • Alternatively you can select the folders or files you wish to extract and use the Restore option under the File or item's context menu.

Notes

  • You can restore a complete Snapshot by the same methods.
  • You do not need to restore a revision to view it. You can open a revision in the same way you would open the working folder or file.
  • You can restore a revision to any location on your network/hard drive. You do not have to overwrite the working folders or files.


Archive Options

To change the behavior of an Archive

  1. In My Computer or Windows Explorer, open the Archive you wish to modify.
  2. Select Folder Options from the View pulldown menu.
  3. On the displayed tabbed dialog, select Settings.

Notes

  • You can speed up archiving at the expense of some disk space by not checking the Compress changes option.
  • You can minimize disk usage (space) by selecting the Optimize for space option.
  • You can determine the behaviour of the new SnapShot status dialog by selecting Show activity dialog and Dismiss activity dialog automatically.
  • When the archive is not open, you can reach the same dialog via the archive's Properties


Schedule New Snapshots

To schedule an automated snapshot
  1. Start Task Scheduler.
  2. Select Folder Options from the View pulldown menu.
  3. On the displayed tabbed dialog, select Schedule.
  4. Select New, and specify automatic snapshots in the same way you would specify the running of any job using Task Scheduler.

Notes

  • If you want to configure advanced settings, select Advanced. This provides the ability to schedule repetative snapshots up to every minute (not recommended!).
  • Make sure that the system date and time for your computer are accurate. Task Scheduler relies on this information to know when to run scheduled tasks. To check or change the date and time, double-click the time on the taskbar.
  • You can't see Keep-It jobs in the regular Task Scheduler folder. This is to prevent clutter when many archives are in use.
  • When the archive is not open, you can reach the same dialog via the archive's Properties


Self-Extracting Archives

Keep-It archives can be made self-extracting. This means you can send them to anyone; wheather they already have Keep-It installed, or not. Self-Extracting archives:

  • Can be used just like regular ('.kar') archives.
  • Can be converted back to regular archives at the click of a button
  • Are only 64KB bigger than their equivalent '.kar' version.
  • Have a '.exe' extension (instead of '.kar').

You can convert any '.kar' archive to a self-extracting ('.exe') equivalent.

  1. Select the archive you want to convert (don't open it).
  2. Invoke the context (right-click) menu.
  3. Select Make Self-Extracting
  4. Or you can select Make Self-Extracting from the File menu

You can convert a Sel-Extracting archive in the same way by first selecting a Self-Extracting archive (the pulldown menu will show Make Archive).

Converting an archive will attempt to remove the existing version to prevent confusion over which archive you should now be using!


Filtering

Include/Exclude certain folders/files

You can elect to not record revisions of certains files, or elect to only record revisions of certain files.

  1. In My Computer or Windows Explorer, open the Archive you wish to modify.
  2. Select Folder Options from the View pulldown menu.
  3. On the displayed tabbed dialog, select Settings.

You should now see a section labeled Exclusions/Inclusions.

Select (in the drop-down list) whether you wish to exclude certain files, or only include certain files.

Add or Remove name templates to the shown list. Templates are regular experessions that match the file names you wish to include/exclude. E.g. Exclude '*.exe' would result in no revisions of files ending with '.exe' being recorded.

Note:
  • When the archive is not open, you can reach the same dialog via the archive's Properties